# Cloud

This repo is an experiment playing with `docker-compose` to configure a
reproduceable web service cluster.

It spins up containers for:

* My web blog, a Go program at [github.com/kirsle/blog](https://github.com/kirsle/blog)
* A Redis cache for the blog.
* [Gitea](https://gitea.io), a Git web service.
* PostgreSQL database for Gitea to store its data.
* An nginx web proxy in front of all of these, exposing domains
  `blog.kirsle.lh` and `git.kirsle.lh` (localhost-only domains, for testing,
  with a self-signed SSL certificate in the `ssl/` folder).

Install `docker` and `docker-compose` and `systemctl enable docker.service` and
all that good stuff, and then:

```bash
$ docker-compose up
```

Put `blog.kirsle.lh` and `git.kirsle.lh` in your `/etc/hosts` and visit them.
